App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
mhr.appcore.tasks.RenderingTask.Lock Class Reference

Třída, jejíž instance slouží k synchronizaci vláken. Obsahuje synchronizované položky a flagy. More...

## Public Attributes
volatile boolean | EXIT_FLAG = false
| Symbolizuje požadavek na ukončení vykonávání.
RenderScope | scope = RenderScope.NONE
| Udává informace o tom, co se má renderovat.
volatile boolean | RENDER_FLAG = false
| Sybmolizuje požadavek na překreslení.
volatile boolean | SUSPEND_FLAG = false
| Symbolizuje požadavek na uspání - pokud je třeba provést nějaké operace na obraze, které zabraňují paralelnímu vykreslování.
volatile Object | suspendedOn = null
| Objekt, který uspal vlákno, pouze ten je může opět probudit.

## Detailed Description

Třída, jejíž instance slouží k synchronizaci vláken. Obsahuje synchronizované položky a flagy.

Definition at line 29 of file RenderingTask.java.

## Member Data Documentation

volatile boolean mhr.appcore.tasks.RenderingTask.Lock.EXIT_FLAG = false

Symbolizuje požadavek na ukončení vykonávání.

Definition at line 30 of file RenderingTask.java.

volatile boolean mhr.appcore.tasks.RenderingTask.Lock.RENDER_FLAG = false

Sybmolizuje požadavek na překreslení.

Definition at line 32 of file RenderingTask.java.

RenderScope mhr.appcore.tasks.RenderingTask.Lock.scope = RenderScope.NONE

Udává informace o tom, co se má renderovat.

Definition at line 31 of file RenderingTask.java.

volatile boolean mhr.appcore.tasks.RenderingTask.Lock.SUSPEND_FLAG = false

Symbolizuje požadavek na uspání - pokud je třeba provést nějaké operace na obraze, které zabraňují paralelnímu vykreslování.

Definition at line 33 of file RenderingTask.java.

volatile Object mhr.appcore.tasks.RenderingTask.Lock.suspendedOn = null

Objekt, který uspal vlákno, pouze ten je může opět probudit.

Definition at line 34 of file RenderingTask.java.

The documentation for this class was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appcore/src/mhr/appcore/tasks/RenderingTask.java